@keyframes shake {

	10%, 90% { transform: translate3d(-1px, 0, 0) }
	20%, 80% { transform: translate3d(2px, 0, 0) }
	30%, 50%, 70% { transform: translate3d(-4px, 0, 0) }
	40%, 60% { transform: translate3d(4px, 0, 0) }
}

/*---------------------------------------
	Vue transitions
*/

.animated {
	animation-duration: 1.5s;
	animation-fill-mode: both;
}

.fade-enter-active, .fade-leave-active { transition: opacity 1s; }
.fade-enter, .fade-leave-to { opacity: 0; }

.vslide-enter-active, .vslide-leave-active {
	transition: opacity .5s;
	animation-name: slideInUp;
	visibility: visible;
}
.vslide-enter, .vslide-leave-to {
	animation-name: slideOutDown;
	opacity: 0;
}

.hrslide-enter-active,
.hrslide-leave-active {
	transition: opacity .5s;
	animation-name: slideInRight;
	visibility: visible;
}

.hrslide-enter,
.hrslide-leave-to {
	animation-name: slideOutRight;
	opacity: 0;
}

.hlslide-enter-active,
.hlslide-leave-active {
	transition: opacity .5s;
	animation-name: slideInLeft;
	visibility: visible;
}

.hlslide-enter,
.hlslide-leave-to {
	animation-name: slideOutLeft;
	opacity: 0;
}

/*!
 * animate.css -http://daneden.me/animate
 * Version - 3.7.0
 * Licensed under the MIT license - http://opensource.org/licenses/MIT
 *
 * Copyright (c) 2018 Daniel Eden
 */

@keyframes slideOutDown {
	from {
		transform: translate3d(0, 0, 0);
	}

	to {
		visibility: hidden;
		transform: translate3d(0, 100%, 0);
	}
}

@keyframes slideInUp {
	from {
		transform: translate3d(0, 100%, 0);
		visibility: visible;
	}

	to {
		transform: translate3d(0, 0, 0);
	}
}

@keyframes slideInRight {
	from {
		transform: translate3d(100%, 0, 0);
		visibility: visible;
	}

	to {
		-webkit-transform: translate3d(0, 0, 0);
		transform: translate3d(0, 0, 0);
	}
}

@keyframes slideOutRight {
	from {
		transform: translate3d(0, 0, 0);
	}

	to {
		visibility: hidden;
		transform: translate3d(100%, 0, 0);
	}
}

@keyframes slideInLeft {
	from {
		transform: translate3d(-100%, 0, 0);
		visibility: visible;
	}

	to {
		transform: translate3d(0, 0, 0);
	}
}

@keyframes slideOutLeft {
	from {
		transform: translate3d(0, 0, 0);
	}

	to {
		visibility: hidden;
		transform: translate3d(-100%, 0, 0);
	}
}